Coding Scheme-Designator-(0008,0102)-is no longer required but conditional (Type 1C)
2019-02-12 13:48 - Jorg Riesmeier

Status: Closed Start date: 2019-02-12
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.5

Module: dcmsr Compiler:

Operating System:

Description

According to DICOM PS3.3 Table 8.8-1a (Basic Code Sequence Macro Attributes); the DICOM attribute Coding Scheme-Designator—
(0008,0102)-is no longer required (Type 1) but conditional (Type 1C): "Shall be present if Code Value (0008,0100) or Long Code
Value-{0008,0119) is present. May be present otherwise.™

This change has apparently been introduced with CP-1031 (Support long code values) back in Januar 2014.

History

#1 - 2019-02-21 19:59 - J6rg Riesmeier
- Status changed from New to Closed
- Assignee set to Jorg Riesmeier

- Module changed from demsr, decmiod and others? to demsr

Closed with commit de798ad.
